{ config, pkgs, ... }:
let
  user = config.yoda.user;

  bash-config = {
    enable = true;
    enableCompletion = true;
    historySize = 1000;
    historyControl = [
      "erasedups"
      "ignoredups"
      "ignorespace"
    ];
  };
in
{
  # Bash is always enabled, there is no way to disable it ^^
  #programs.bash.enable = true;

  # Required by home-manager programs.bash.enableCompletion
  environment.pathsToLink = [ "/share/bash-completion" ];

  home-manager.users."${user}" = { osConfig, config, pkgs, ... }: {
    programs.bash = bash-config;
  };
  home-manager.users."root" = { osConfig, config, pkgs, ... }: {
    programs.bash = bash-config;
  };
}
