{ config, pkgs, ... }:
let
  user  = config.yoda.user;
  name  = config.yoda.name;
  email = config.yoda.email;
in
{
  users.users."${user}" = {
    packages = with pkgs; [
      git
    ];
  };

  home-manager.users."${user}" = { osConfig, config, pkgs, ... }: {
    programs.git = {
      enable = true;
      userName = name;
      userEmail = email;
      signing.signByDefault = true;
      signing.key = null;
      aliases = {
        #st = "status";
      };
      extraConfig = {
        init.defaultBranch = "main";
      };
    };
  };
}
