{ config, pkgs, ... }:
let
  user = config.yoda.user;
in
{
  # https://discourse.nixos.org/t/how-to-set-gnome-a-k-a-gdm-greeter-a-k-a-lockscreen-login-background-a-k-a-wallpaper/14289

  programs.dconf.enable = true;

  home-manager.users."${user}" = { osConfig, config, pkgs, ... }: {
    dconf.settings = {
        "org/gnome/desktop/background" = {
            "picture-uri" = "/home/${user}/.config/background";
            "picture-uri-dark" = "/home/${user}/.config/background";
        };
    };
    home.file.".config/background".source = "${(pkgs.callPackage ./wallpaper.nix { })}/img.jpg";
  };
}
