{ config, pkgs, lib, ... }:
let
  user = config.yoda.user;
in
{
  # TODO: if on wayland and scaling != 1, start obsidian with the following command.
  # Sharp fonts.
  #   obsidian --enable-features=UseOzonePlatform --ozone-platform=x11

  # This `config` is only for "stable" `nixpkgs`, not for "unstable".
  # See nur-and-unstable.nix for how to configure "unstable" `nixpkgs`.
  allowUnfree = [
    "obsidian"
  ];

  users.users."${user}" = {
    packages = with pkgs; [
      obsidian # Markdown notes
    ];
  };

  programs.dconf.enable = true;
  home-manager.users."${user}" = { osConfig, config, pkgs, lib, ... }: {
    dconf.settings = {
      "org/gnome/shell" = {
        favorite-apps = ["obsidian.desktop"];
      };
    };
  };
}
