{ config, pkgs, ... }:
let
  user = config.yoda.user;
in
{
  imports = [
    ./vlc-dvd-blu-ray.nix
    ./firefox.nix
    ./signal-desktop.nix
  ];

  users.users."${user}" = {
    packages = with pkgs; [
      #zenith # Terminal resource monitor / task manager
      btop   # Terminal resource monitor / task manager
      htop   # Terminal resource monitor / task manager
      niv # NixOS dependency management
      colmena # NixOS config deployment

      keepassxc # Password manager.
      localsend # Wireless file transfer
    ];
  };
}
