{ config, pkgs, lib, ... }:
let
  user = config.yoda.user;
in
{
  users.users."${user}" = {
    packages = with pkgs; [
      unstable.rnote # Handwritten notes
    ];
  };

  programs.dconf.enable = true;
  home-manager.users."${user}" = { osConfig, config, pkgs, lib, ... }: {
    dconf.settings = {
      "org/gnome/shell" = {
        favorite-apps = lib.mkIf (osConfig.networking.hostName == "yodaTab") ["com.github.flxzt.rnote.desktop"];
      };
    };
  };
}
