{ config, pkgs, ... }:
let
  user = config.yoda.user;
in
{
  home-manager.users."${user}" = { osConfig, config, pkgs, ... }: {

    # SSH client configuration.
    programs.ssh = {
      enable = true;
      userKnownHostsFile = "~/.ssh/known_hosts ${../assets/ssh/known_hosts}";
      matchBlocks = {
        "rootHP" = {
          hostname = "192.168.178.108";
          user = "root";
          port = 22;
          compression = false;
        };
        "yodaTab" = {
          hostname = "192.168.178.53";
          user = "${user}";
          port = 22;
          compression = false;
        };
        "yodaEnchilada" = {
          hostname = "192.168.178.25";
          user = "${user}";
          port = 22;
          compression = false;
        };

        # local IP: 192.168.178.186
        "yodaYoga" = {
          hostname = "yodayoga.p1st.de";
          user = "${user}";
          port = 2224;
          compression = true;
        };
        "rootYoga" = {
          hostname = "yodayoga.p1st.de";
          user = "root";
          port = 2224;
          compression = true;
        };
        "unlockYoga" = {
          hostname = "yodayoga.p1st.de";
          user = "root";
          port = 2225;
          compression = true;
        };

        "pi3bplus" = {
          hostname = "fckjpbxxim36c1gb.myfritz.net";
          user = "${user}";
          port = 22;
          compression = true;
        };
        "rootPi3bplus" = {
          hostname = "fckjpbxxim36c1gb.myfritz.net";
          user = "root";
          port = 22;
          compression = true;
        };

        "cx21-bbb" = {
          hostname = "195.201.139.84";
          user = "root";
          port = 22;
          compression = true;
        };
        "cpx11-coturn" = {
          hostname = "157.90.231.213";
          user = "root";
          port = 22;
          compression = true;
        };

        # local IP: 192.168.178.118
        "yodaHedgehog" = {
          hostname = "yodahedgehog.p1st.de";
          user = "${user}";
          port = 2226;
          compression = true;
        };
        "rootHedgehog" = {
          hostname = "yodahedgehog.p1st.de";
          user = "root";
          port = 2226;
          compression = true;
        };
        "unlockHedgehog" = {
          hostname = "yodahedgehog.p1st.de";
          user = "root";
          port = 2227;
          compression = true;
        };

        # local IP: 192.168.178.119
        "yodaNas" = {
          hostname = "yodanas.p1st.de";
          user = "${user}";
          port = 2222;
          compression = true;
        };
        "rootNas" = {
          hostname = "yodanas.p1st.de";
          user = "root";
          port = 2222;
          compression = true;
        };
        "unlockNas" = {
          hostname = "yodanas.p1st.de";
          user = "root";
          port = 2223;
          compression = true;
        };
      };
    };

  };
}
