{ config, pkgs, ... }:
let
  user = config.yoda.user;
in
{
  # Sync files between devices
  #
  # Web interface: http://127.0.0.1:8384/

  # Alternative: GNOME shell extension
  # Alternative: System service
#  services = {
#    syncthing = {
#      enable = true;
#      user = "${user}";
#    };
#  };

  # We run Syncthing as user service.
  home-manager.users."${user}" = { osConfig, config, pkgs, ... }: {
    services.syncthing = {
      enable = true;
    };
  };
}
